Subject: Re: State of CVS-to-git conversion tools (Was: Re: cvsps: bad usage: invalid argument --norc)

From: Ilya Basin <[email-masked]>
Date: Mon, 15 Apr 2013 21:58:18 +0400

Hi Eric.

I tried --fast-export. It's 2 times faster.
The first thing that differs: in cvsps2 commits with adjacent
timestamps were joined into one (see the attached files). Do you know
the reason?

Does this --fast-export thing support what John mentioned, the
"incremental import support"? Does 'git fast-import' has it?
I need it, because full import takes too long.
The central repo of my employer is CVS, other people commit to it and
I use git internally to be able to tidy my commit history before
exporting to CVS.

--